package com.zcxk.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.entity.MessageType;

import java.util.List;

/**
 * (MessageType)表服务接口
 *
 * @author makejava
 * @since 2020-11-12 10:54:08
 */
public interface MessageTypeService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    MessageType selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<MessageType> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param messageType 实例对象
     * @return 对象列表
     */
    List<MessageType> selectList(MessageType messageType);

    /**
     * 新增数据
     *
     * @param messageType 实例对象
     * @return 影响行数
     */
    int insert(MessageType messageType);

    /**
     * 批量新增
     *
     * @param messageTypes 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(List<MessageType> messageTypes);

    /**
     * 修改数据
     *
     * @param messageType 实例对象
     * @return 修改
     */
    int update(MessageType messageType);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<MessageType> selectPage(MessageType messageType, IPage<MessageType> page);
}